Linear(3)

NAME
PDL::Filter::Linear - linear filtering for PDL

SYNOPSIS
        $x = PDL::Filter::Linear->new(
                {Weights => $v,
                 Point => 10});

        $y = PDL::Filter::Gaussian->new(15,2); # 15 points, 2 std devn.

        ($pred,$corrslic) = $x->predict($dat);

DESCRIPTION
A wrapper for generic linear filters. Just for convenience. This should in the future use DataPresenter.

Also, this class should at some point learn to do FFT whenever it is useful.